=== modified file 'vio/Makefile.am'
--- vio/Makefile.am	2008-07-01 01:26:01 +0000
+++ vio/Makefile.am	2008-07-01 20:33:58 +0000
@@ -13,8 +13,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-INCLUDES =		-I$(top_builddir)/include -I$(top_srcdir)/include \
-			$(openssl_includes)
+INCLUDES =		-I$(top_builddir)/include -I$(top_srcdir)/include
 pkglib_LIBRARIES =	libvio.a
 
 noinst_HEADERS =	vio_priv.h

=== removed file 'vio/test-ssl.c'
--- vio/test-ssl.c	2008-06-25 05:29:13 +0000
+++ vio/test-ssl.c	1970-01-01 00:00:00 +0000
@@ -1,149 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <my_global.h>
-#if defined(HAVE_OPENSSL) && !defined(__NETWARE__)
-#include <my_sys.h>
-#include <m_string.h>
-#include <m_ctype.h>
-#include "mysql.h"
-#include "errmsg.h"
-#include <my_dir.h>
-#include <my_getopt.h>
-#include <signal.h>
-#include <violite.h>
-
-const char *VER="0.2";
-
-
-#ifndef DBUG_OFF
-const char *default_dbug_option="d:t:O,-";
-#endif
-
-void
-fatal_error(	const char*	r)
-{
-	perror(r);
-	exit(0);
-}
-
-void
-print_usage()
-{
-	printf("viossl-test: testing SSL virtual IO. Usage:\n");
-	printf("viossl-test server-key server-cert client-key client-cert [CAfile] [CApath]\n");
-}
-
-
-int
-main(int argc, char**	argv)
-{
-  char*	server_key = 0,	*server_cert = 0;
-  char*	client_key = 0,	*client_cert = 0;
-  char*	ca_file = 0,	*ca_path = 0;
-  char*	cipher=0;
-  int	child_pid,sv[2];
-  my_bool unused;
-  struct st_VioSSLFd* ssl_acceptor= 0;
-  struct st_VioSSLFd* ssl_connector= 0;
-  Vio* client_vio=0, *server_vio=0;
-  MY_INIT(argv[0]);
-  DBUG_PROCESS(argv[0]);
-  DBUG_PUSH(default_dbug_option);
-
-  if (argc<5)
-  {
-    print_usage();
-    return 1;
-  }
-
-  server_key = argv[1];
-  server_cert = argv[2];
-  client_key = argv[3];
-  client_cert = argv[4];
-  if (argc>5)
-    ca_file = argv[5];
-  if (argc>6)
-    ca_path = argv[6];
-  printf("Server key/cert : %s/%s\n", server_key, server_cert);
-  printf("Client key/cert : %s/%s\n", client_key, client_cert);
-  if (ca_file!=0)
-    printf("CAfile          : %s\n", ca_file);
-  if (ca_path!=0)
-    printf("CApath          : %s\n", ca_path);
-
-
-  if (socketpair(PF_UNIX, SOCK_STREAM, IPPROTO_IP, sv)==-1)
-    fatal_error("socketpair");
-
-  ssl_acceptor = new_VioSSLAcceptorFd(server_key, server_cert, ca_file,
-				      ca_path, cipher);
-  ssl_connector = new_VioSSLConnectorFd(client_key, client_cert, ca_file,
-					ca_path, cipher);
-
-  client_vio = (struct st_vio*)my_malloc(sizeof(struct st_vio),MYF(0));
-  client_vio->sd = sv[0];
-  client_vio->vioblocking(client_vio, 0, &unused);
-  sslconnect(ssl_connector,client_vio,60L);
-  server_vio = (struct st_vio*)my_malloc(sizeof(struct st_vio),MYF(0));
-  server_vio->sd = sv[1];
-  server_vio->vioblocking(client_vio, 0, &unused);
-  sslaccept(ssl_acceptor,server_vio,60L);
-
-  printf("Socketpair: %d , %d\n", client_vio->sd, server_vio->sd);
-
-  child_pid = fork();
-  if (child_pid==-1) {
-    my_free((uchar*)ssl_acceptor,MYF(0));
-    my_free((uchar*)ssl_connector,MYF(0));
-    fatal_error("fork");
-  }
-  if (child_pid==0)
-  {
-    /* child, therefore, client */
-    char	xbuf[100];
-    int	r = vio_read(client_vio,xbuf, sizeof(xbuf));
-    if (r<=0) {
-      my_free((uchar*)ssl_acceptor,MYF(0));
-      my_free((uchar*)ssl_connector,MYF(0));
-      fatal_error("client:SSL_read");
-    }
-    xbuf[r] = 0;
-    printf("client:got %s\n", xbuf);
-    my_free((uchar*)client_vio,MYF(0));
-    my_free((uchar*)ssl_acceptor,MYF(0));
-    my_free((uchar*)ssl_connector,MYF(0));
-  }
-  else
-  {
-    const char*	s = "Huhuhuh";
-    int		r = vio_write(server_vio,(uchar*)s, strlen(s));
-    if (r<=0) {
-      my_free((uchar*)ssl_acceptor,MYF(0));
-      my_free((uchar*)ssl_connector,MYF(0));
-      fatal_error("server:SSL_write");
-    }
-    my_free((uchar*)server_vio,MYF(0));
-    my_free((uchar*)ssl_acceptor,MYF(0));
-    my_free((uchar*)ssl_connector,MYF(0));
-  }
-  return 0;
-}
-#else /* HAVE_OPENSSL */
-
-int main() {
-return 0;
-}
-#endif /* HAVE_OPENSSL */

=== removed file 'vio/test-sslclient.c'
--- vio/test-sslclient.c	2008-06-25 05:29:13 +0000
+++ vio/test-sslclient.c	1970-01-01 00:00:00 +0000
@@ -1,101 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <my_global.h>
-#ifdef HAVE_OPENSSL
-#include <my_sys.h>
-#include <m_string.h>
-#include <m_ctype.h>
-#include "mysql.h"
-#include "errmsg.h"
-#include <my_dir.h>
-#include <my_getopt.h>
-#include <signal.h>
-#include <violite.h>
-
-const char *VER="0.2";
-
-
-#ifndef DBUG_OFF
-const char *default_dbug_option="d:t:O,-";
-#endif
-
-void
-fatal_error(	const char*	r)
-{
-	perror(r);
-	exit(0);
-}
-
-int
-main(	int	argc __attribute__((unused)),
-	char**	argv)
-{
-	char	client_key[] = "../SSL/client-key.pem",	client_cert[] = "../SSL/client-cert.pem";
-	char	ca_file[] = "../SSL/cacert.pem",	*ca_path = 0, *cipher=0;
-	struct st_VioSSLFd* ssl_connector= 0;
-	struct sockaddr_in sa;
-	Vio* client_vio=0;
-	int err;
-	char	xbuf[100]="Ohohhhhoh1234";
-	MY_INIT(argv[0]);
-        DBUG_PROCESS(argv[0]);
-        DBUG_PUSH(default_dbug_option);
-
-	printf("Client key/cert : %s/%s\n", client_key, client_cert);
-	if (ca_file!=0)
-		printf("CAfile          : %s\n", ca_file);
-	if (ca_path!=0)
-		printf("CApath          : %s\n", ca_path);
-
-	ssl_connector = new_VioSSLConnectorFd(client_key, client_cert, ca_file, ca_path, cipher);
-	if(!ssl_connector) {
-                 fatal_error("client:new_VioSSLConnectorFd failed");
-	}
-
-	/* ----------------------------------------------- */
-	/* Create a socket and connect to server using normal socket calls. */
-
-	client_vio = vio_new(socket (AF_INET, SOCK_STREAM, 0), VIO_TYPE_TCPIP, TRUE);
-
-	memset (&sa, '\0', sizeof(sa));
-	sa.sin_family      = AF_INET;
-	sa.sin_addr.s_addr = inet_addr ("127.0.0.1");   /* Server IP */
-	sa.sin_port        = htons     (1111);          /* Server Port number */
-
-	err = connect(client_vio->sd, (struct sockaddr*) &sa,
-		sizeof(sa));
-
-	/* ----------------------------------------------- */
-	/* Now we have TCP conncetion. Start SSL negotiation. */
-	read(client_vio->sd,xbuf, sizeof(xbuf));
-        sslconnect(ssl_connector,client_vio,60L);
-	err = vio_read(client_vio,xbuf, sizeof(xbuf));
-	if (err<=0) {
-		my_free((uchar*)ssl_connector,MYF(0));
-		fatal_error("client:SSL_read");
-	}
-	xbuf[err] = 0;
-	printf("client:got %s\n", xbuf);
-	my_free((uchar*)client_vio,MYF(0));
-	my_free((uchar*)ssl_connector,MYF(0));
-	return 0;
-}
-#else /* HAVE_OPENSSL */
-
-int main() {
-return 0;
-}
-#endif /* HAVE_OPENSSL */

=== removed file 'vio/test-sslserver.c'
--- vio/test-sslserver.c	2008-06-25 05:29:13 +0000
+++ vio/test-sslserver.c	1970-01-01 00:00:00 +0000
@@ -1,155 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include <my_global.h>
-#ifdef HAVE_OPENSSL
-#include <my_sys.h>
-#include <m_string.h>
-#include <m_ctype.h>
-#include "mysql.h"
-#include "errmsg.h"
-#include <my_dir.h>
-#include <my_getopt.h>
-#include <signal.h>
-#include <violite.h>
-
-const char *VER="0.2";
-
-
-#ifndef DBUG_OFF
-const char *default_dbug_option="d:t:O,-";
-#endif
-
-#if 0
-static void
-fatal_error(	const char*	r)
-{
-	perror(r);
-	exit(0);
-}
-#endif
-
-typedef struct {
-	int	sd;
-	struct	st_VioSSLFd*	ssl_acceptor;
-} TH_ARGS;
-
-static void
-do_ssl_stuff(	TH_ARGS*	args)
-{
-	const char*	s = "Huhuhuhuuu";
-	Vio*		server_vio;
-	int		err;
-	DBUG_ENTER("do_ssl_stuff");
-
-	server_vio = vio_new(args->sd, VIO_TYPE_TCPIP, TRUE);
-
-	/* ----------------------------------------------- */
-	/* TCP connection is ready. Do server side SSL. */
-
-	err = write(server_vio->sd,(uchar*)s, strlen(s));
-	sslaccept(args->ssl_acceptor,server_vio,60L);
-	err = server_vio->write(server_vio,(uchar*)s, strlen(s));
-	DBUG_VOID_RETURN;
-}
-
-static void*
-client_thread(	void*	arg)
-{
-  my_thread_init();
-  do_ssl_stuff((TH_ARGS*)arg);
-  return 0;
-}
-
-int
-main(int argc __attribute__((unused)), char** argv)
-{
-	char	server_key[] = "../SSL/server-key.pem",
-		server_cert[] = "../SSL/server-cert.pem";
-	char	ca_file[] = "../SSL/cacert.pem",
-		*ca_path = 0,
-		*cipher = 0;
-	struct	st_VioSSLFd*	ssl_acceptor;
-	pthread_t	th;
-	TH_ARGS		th_args;
-
-
-	struct sockaddr_in sa_serv;
-	struct sockaddr_in sa_cli;
-	int listen_sd;
-	int err;
-        size_socket client_len;
-	int	reuseaddr = 1; /* better testing, uh? */
-
-	MY_INIT(argv[0]);
-        DBUG_PROCESS(argv[0]);
-        DBUG_PUSH(default_dbug_option);
-
-	printf("Server key/cert : %s/%s\n", server_key, server_cert);
-	if (ca_file!=0)
-
-		printf("CAfile          : %s\n", ca_file);
-	if (ca_path!=0)
-		printf("CApath          : %s\n", ca_path);
-
-        th_args.ssl_acceptor = ssl_acceptor = new_VioSSLAcceptorFd(server_key, server_cert, ca_file, ca_path,cipher);
-
-	/* ----------------------------------------------- */
-	/* Prepare TCP socket for receiving connections */
-
-	listen_sd = socket (AF_INET, SOCK_STREAM, 0);
-	setsockopt(listen_sd, SOL_SOCKET, SO_REUSEADDR, &reuseaddr, sizeof(&reuseaddr));
-
-	memset (&sa_serv, '\0', sizeof(sa_serv));
-	sa_serv.sin_family      = AF_INET;
-	sa_serv.sin_addr.s_addr = INADDR_ANY;
-	sa_serv.sin_port        = htons (1111);          /* Server Port number */
-
-	err = bind(listen_sd, (struct sockaddr*) &sa_serv,
-	     sizeof (sa_serv));                  
-
-	/* Receive a TCP connection. */
-
-	err = listen (listen_sd, 5); 
-	client_len = sizeof(sa_cli);
-	th_args.sd = accept (listen_sd, (struct sockaddr*) &sa_cli, &client_len);
-	close (listen_sd);
-
-	printf ("Connection from %lx, port %x\n",
-		  (long)sa_cli.sin_addr.s_addr, sa_cli.sin_port);
-
-	/* ----------------------------------------------- */
-	/* TCP connection is ready. Do server side SSL. */
-
-	err = pthread_create(&th, NULL, client_thread, (void*)&th_args);
-	DBUG_PRINT("info", ("pthread_create: %d", err));
-	pthread_join(th, NULL);
-
-#if 0
-	if (err<=0) {
-		my_free((uchar*)ssl_acceptor,MYF(0));
-		fatal_error("server:SSL_write");
-	}
-#endif /* 0 */
-
-	my_free((uchar*)ssl_acceptor,MYF(0));
-	return 0;
-}
-#else /* HAVE_OPENSSL */
-
-int main() {
-return 0;
-}
-#endif /* HAVE_OPENSSL */

